package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcSdtb;
import org.apache.ibatis.annotations.Param;

/**
 * 属地通报Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcSdtbMapper 
{
    /**
     * 查询属地通报
     * 
     * @param id 属地通报主键
     * @return 属地通报
     */
    public TcSdtb selectTcSdtbById(Long id);

    /**
     * 查询属地通报列表
     * 
     * @param tcSdtb 属地通报
     * @return 属地通报集合
     */
    public List<TcSdtb> selectTcSdtbList(TcSdtb tcSdtb);

    /**
     * 新增属地通报
     * 
     * @param tcSdtb 属地通报
     * @return 结果
     */
    public int insertTcSdtb(TcSdtb tcSdtb);

    /**
     * 修改属地通报
     * 
     * @param tcSdtb 属地通报
     * @return 结果
     */
    public int updateTcSdtb(TcSdtb tcSdtb);

    /**
     * 删除属地通报
     * 
     * @param id 属地通报主键
     * @return 结果
     */
    public int deleteTcSdtbById(Long id);

    /**
     * 批量删除属地通报
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcSdtbByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
